Debian Bug report logs - #467737
libcss-tiny-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone

version graph

Package: libcss-tiny-perl; Maintainer for libcss-tiny-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libcss-tiny-perl is src:libcss-tiny-perl.

Reported by: Niko Tyni <ntyni@debian.org>

Date: Tue, 26 Feb 2008 19:16:11 UTC

Severity: important

Tags: patch

Found in version libcss-tiny-perl/1.11-1

Fixed in version libcss-tiny-perl/1.11-1.1

Done: Mark Hymers <mhy@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Florian Ragwitz <rafl@debian.org>:
Bug#467737; Package libcss-tiny-perl. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
New Bug report received and forwarded. Copy sent to Florian Ragwitz <rafl@debian.org>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: maintonly@bugs.debian.org
Subject: libcss-tiny-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone
Date: Tue, 26 Feb 2008 21:10:13 +0200
Package: libcss-tiny-perl
Version: 1.11-1
Severity: important
User: debian-perl@lists.debian.org
Usertags: perl-5.10-ftbfs-rmdir

This package fails to build with Perl 5.10.0 (currently in
experimental) because of a bug in debian/rules that has been
uncovered by a change in ExtUtils::Install.

Until Perl 5.10.0, ExtUtils::Install had a bug that created an empty
/usr/lib/perl5 or /usr/share/perl5 directory when 'make install' was
run. This package fails to build because it relies on the presence of
this empty directory, usually by trying to remove it without checking
if it exists first.

The suggested fix for the usual 'unconditional rmdir' case is to use
a conditional like

[ ! -d $(TMP)/usr/lib/perl5 ] || rmdir --ignore-fail-on-non-empty
--parents --verbose $(TMP)/usr/lib/perl5

See the current dh-make-perl templates.

Please treat this bug as 'serious' already: Perl 5.10.0 is scheduled
for unstable in a week or so.

Details about the ExtUtils::Install change can be found in #465783. 
-- 
Niko Tyni   ntyni@debian.org





Information forwarded to debian-bugs-dist@lists.debian.org, Florian Ragwitz <rafl@debian.org>:
Bug#467737; Package libcss-tiny-perl. Full text and rfc822 format available.

Acknowledgement sent to Mark Hymers <mhy@debian.org>:
Extra info received and forwarded to list. Copy sent to Florian Ragwitz <rafl@debian.org>. Full text and rfc822 format available.

Message #10 received at 467737@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 467737@bugs.debian.org
Subject: libcss-tiny-perl: diff for NMU version 1.11-1.1
Date: Sat, 5 Apr 2008 22:24:26 +0100
[Message part 1 (text/plain, inline)]
tags 467737 + patch
thanks

Hi,

Attached is the diff for my libcss-tiny-perl 1.11-1.1 NMU.

-- 
Mark Hymers <mhy at debian dot org>
[libcss-tiny-perl-1.11-1.1-nmu.diff (text/x-diff, attachment)]

Tags added: patch Request was from Mark Hymers <mhy@debian.org> to control@bugs.debian.org. (Sat, 05 Apr 2008 21:28:01 GMT) Full text and rfc822 format available.

Reply sent to Mark Hymers <mhy@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 467737-close@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 467737-close@bugs.debian.org
Subject: Bug#467737: fixed in libcss-tiny-perl 1.11-1.1
Date: Sat, 05 Apr 2008 21:32:18 +0000
Source: libcss-tiny-perl
Source-Version: 1.11-1.1

We believe that the bug you reported is fixed in the latest version of
libcss-tiny-perl, which is due to be installed in the Debian FTP archive:

libcss-tiny-perl_1.11-1.1.diff.gz
  to pool/main/libc/libcss-tiny-perl/libcss-tiny-perl_1.11-1.1.diff.gz
libcss-tiny-perl_1.11-1.1.dsc
  to pool/main/libc/libcss-tiny-perl/libcss-tiny-perl_1.11-1.1.dsc
libcss-tiny-perl_1.11-1.1_all.deb
  to pool/main/libc/libcss-tiny-perl/libcss-tiny-perl_1.11-1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 467737@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mark Hymers <mhy@debian.org> (supplier of updated libcss-tiny-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 05 Apr 2008 21:08:54 +0100
Source: libcss-tiny-perl
Binary: libcss-tiny-perl
Architecture: source all
Version: 1.11-1.1
Distribution: unstable
Urgency: low
Maintainer: Florian Ragwitz <rafl@debian.org>
Changed-By: Mark Hymers <mhy@debian.org>
Description: 
 libcss-tiny-perl - Read/Write .css files with as little code as possible
Closes: 467737
Changes: 
 libcss-tiny-perl (1.11-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix FTBFS with Perl 5.10.  Closes: #467737
Files: 
 ca3020308ea5c52f099ffd4743a19d0e 703 perl optional libcss-tiny-perl_1.11-1.1.dsc
 11bd41bb775927b33f010b4bb9af9013 2012 perl optional libcss-tiny-perl_1.11-1.1.diff.gz
 ae251559e3c41f5b1a047534a29e88bc 13230 perl optional libcss-tiny-perl_1.11-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH9+JbNIW6CNDsByMRAoH/AJ9g3jRrx2T37/1nTJ7gXCgBMYWZJwCguIuw
R3DEtN0WD0Xve1SQYgX41bE=
=syNE
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 15 May 2008 07:39:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 18:07:17 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.